Package org.eclipse.mat.ui.internal.viewer

# Class RefinedResultViewer

java.lang.Object
org.eclipse.mat.ui.internal.viewer.RefinedResultViewer

Direct Known Subclasses:
  `RefinedTableViewer`, `RefinedTreeViewer`

public abstract class RefinedResultViewer extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`addContextMenu(PopupMenu menu)`
`void`
`contributeToToolBar(IToolBarManager manager)`
`void`
`dispose()`
`final Control`
`getControl()`
`QueryResult`
`getQueryResult()`
`RefinedStructuredResult`
`getResult()`
`final IStructuredSelection`
`getSelection()`
`abstract void`
`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`
`final void`
`setFocus()`
`void`
`showDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### init

public abstract void init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)

### contributeToToolBar

public void contributeToToolBar(IToolBarManager manager)

### addContextMenu

public void addContextMenu(PopupMenu menu)

### showDerivedDataColumn

public void showDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedOperation operation)

### getResult

public RefinedStructuredResult getResult()

### getQueryResult

public QueryResult getQueryResult()

### getControl

public final Control getControl()

### getSelection

public final IStructuredSelection getSelection()

### setFocus

public final void setFocus()

### dispose

public void dispose()